### Method

# Ide Workbench resolve_file_async

#### Declaration

    void
    ide_workbench_resolve_file_async (
      IdeWorkbench* self,
      const gchar* filename,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function will try to locate a given file based on the filename, possibly resolving it from a build directory, or source directory.

If no file was discovered, some attempt will be made to locate a file that matches appropriately.

Available since: | 3.32

#### Parameters

`filename` | `const gchar*`
| The filename to discover.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
| The argument can be `NULL`.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.